Package org.apache.cxf.bus.extension

# Interface ExtensionManager

All Known Implementing Classes:
  `ExtensionManagerImpl`

public interface ExtensionManager

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `activateAll()`
  `<T> void`
  `activateAllByType(Class<T> type)`
  `<T> T`
  `getExtension(String ns, Class<T> type)`

- ## Method Details

  - ### activateAll

    void activateAll()

  - ### activateAllByType

    <T> void activateAllByType(Class<T> type)

  - ### getExtension

    <T> T getExtension(String ns, Class<T> type)